
import numpy as np
import pandas as pd
import shap

def visualize_explanation(explainer, data, feature_names):
    """
    Visualize the SHAP values for a given explainer and data.
    
    Args:
    explainer (shap.Explainer): The SHAP explainer to use.
    data (pd.DataFrame): The input data for which to visualize the SHAP values.
    feature_names (list): The names of the features in the data.
    
    Returns:
    None
    """
    shap.initjs()
    shap.force_plot(explainer.expected_value, explainer.shap_values(data.iloc[0]), feature_names)



